Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Interface Tag

All Known Subinterfaces:
  DynaTag, NamespaceAwareTag

All Known Implementing Classes:
  ArgTag, BaseClassLoaderTag, BreakTag, CaseTag, CatchTag, ChooseTag, DefaultTag, DynaBeanTagSupport, DynamicBeanTag, DynamicDynaBeanTag, DynamicTag, DynaTagSupport, ExprTag, FileTag, ForEachTag, GetStaticTag, IfTag, ImportTag, IncludeTag, InvokeStaticTag, InvokeTag, JellyTag, MapTagSupport, MuteTag, NewTag, OtherwiseTag, ParseTag, RemoveTag, ScopeTag, SetPropertiesTag, SetTag, StaticTag, SwitchTag, TagSupport, ThreadTag, UseBeanTag, UseListTag, WhenTag, WhileTag, WhitespaceTag, XPathTagSupport

    public interface Tag

`Tag` represents a Jelly custom tag. A Tag is only ever used by a single thread so that Tag developers do not need to concern themselves with mutli-threading issues when writing a Tag. A Tag is created per custom tag in a script, per invocation. So there is no need to worry about pooling errors like those caused in JSP 1.x.(

Version:
  $Revision: 155420 $
Author:
  James Strachan

Method Summary
`void` | `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`Script` | `getBody()`
`JellyContext` | `getContext()` Gets the context in which the tag will be run
`Tag` | `getParent()`
`void` | `invokeBody(XMLOutput output)` A helper method to invoke this tags body
`void` | `setBody(Script body)` Sets the body of the tag
`void` | `setContext(JellyContext context)` Sets the context in which the tag will be run
`void` | `setParent(Tag parent)` Sets the parent of this tag

Method Detail

### getParent

    Tag getParent()

  Returns:
    the parent of this tag

### setParent

    void setParent(Tag parent)

  Sets the parent of this tag

### getBody

    Script getBody()

  Returns:
    the body of the tag

### setBody

    void setBody(Script body)

  Sets the body of the tag

### getContext

    JellyContext getContext()

  Gets the context in which the tag will be run

### setContext

    void setContext(JellyContext context)
                    throws JellyTagException

  Sets the context in which the tag will be run

  Throws:
    `JellyTagException`

### doTag

    void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `MissingAttributeException`
    `JellyTagException`

### invokeBody

    void invokeBody(XMLOutput output)
                    throws JellyTagException

  A helper method to invoke this tags body

  Throws:
    `JellyTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.